diff --git a/tests/workflow/test_all.py b/tests/workflow/test_all.py
index d100157e3..c1e3bdfaa 100644
--- a/tests/workflow/test_all.py
+++ b/tests/workflow/test_all.py
@@ -373,10 +373,6 @@ def test_jump_count_condition(pub):
 
 
 def test_jump_bad_python_condition(two_pubs):
-    if not two_pubs.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     FormDef.wipe()
     formdef = FormDef()
     formdef.name = 'foobar'
@@ -433,19 +429,17 @@ def test_jump_django_conditions(two_pubs):
     item.condition = {'type': 'django', 'value': 'form_var_foo|first|upper == "X"'}
     assert item.check_condition(formdata) is False
 
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 0
+    assert two_pubs.loggederror_class.count() == 0
 
     item.condition = {'type': 'django', 'value': '~ invalid ~'}
     assert item.check_condition(formdata) is False
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.summary == 'Failed to evaluate condition'
-        assert logged_error.exception_class == 'TemplateSyntaxError'
-        assert logged_error.exception_message == "Could not parse the remainder: '~' from '~'"
-        assert logged_error.expression == '~ invalid ~'
-        assert logged_error.expression_type == 'django'
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.summary == 'Failed to evaluate condition'
+    assert logged_error.exception_class == 'TemplateSyntaxError'
+    assert logged_error.exception_message == "Could not parse the remainder: '~' from '~'"
+    assert logged_error.expression == '~ invalid ~'
+    assert logged_error.expression_type == 'django'
 
 
 def test_check_auth(pub):
@@ -580,10 +574,6 @@ def test_dispatch_multi(pub):
 
 
 def test_dispatch_auto(two_pubs):
-    if not two_pubs.is_using_postgresql():
-        pytest.skip('this requires sql')
-        return
-
     formdef = FormDef()
     formdef.name = 'baz'
     formdef.fields = [
@@ -671,10 +661,6 @@ def test_dispatch_auto(two_pubs):
 
 
 def test_dispatch_computed(two_pubs):
-    if not two_pubs.is_using_postgresql():
-        pytest.skip('this requires sql')
-        return
-
     formdef = FormDef()
     formdef.name = 'baz'
     formdef.store()
@@ -1275,21 +1261,19 @@ def test_register_comment_attachment(two_pubs):
     two_pubs.substitutions.feed(formdata)
     item.perform(formdata)
     url1 = formdata.evolution[-1].parts[-1].content
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        error = two_pubs.loggederror_class.select()[0]
-        assert error.kind == 'deprecated_usage'
-        assert error.occurences_count == 1
+    assert two_pubs.loggederror_class.count() == 1
+    error = two_pubs.loggederror_class.select()[0]
+    assert error.kind == 'deprecated_usage'
+    assert error.occurences_count == 1
 
     two_pubs.substitutions.feed(formdata)
     item.comment = '{{ form_attachments.testfile.url }}'
     item.perform(formdata)
     url2 = formdata.evolution[-1].parts[-1].content
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        error = two_pubs.loggederror_class.select()[0]
-        assert error.kind == 'deprecated_usage'
-        assert error.occurences_count == 1
+    assert two_pubs.loggederror_class.count() == 1
+    error = two_pubs.loggederror_class.select()[0]
+    assert error.kind == 'deprecated_usage'
+    assert error.occurences_count == 1
 
     assert len(os.listdir(os.path.join(get_publisher().app_dir, 'attachments'))) == 1
     for subdir in os.listdir(os.path.join(get_publisher().app_dir, 'attachments')):
@@ -1316,21 +1300,19 @@ def test_register_comment_attachment(two_pubs):
     item.comment = '[attachments.testfile.url]'
     item.perform(formdata)
     url3 = formdata.evolution[-1].parts[-1].content
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        error = two_pubs.loggederror_class.select()[0]
-        assert error.kind == 'deprecated_usage'
-        assert error.occurences_count == 2
+    assert two_pubs.loggederror_class.count() == 1
+    error = two_pubs.loggederror_class.select()[0]
+    assert error.kind == 'deprecated_usage'
+    assert error.occurences_count == 2
     two_pubs.substitutions.feed(formdata)
     item.comment = '[form_attachments.testfile.url]'
     item.perform(formdata)
     url4 = formdata.evolution[-1].parts[-1].content
     assert url3 == url4
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        error = two_pubs.loggederror_class.select()[0]
-        assert error.kind == 'deprecated_usage'
-        assert error.occurences_count == 2
+    assert two_pubs.loggederror_class.count() == 1
+    error = two_pubs.loggederror_class.select()[0]
+    assert error.kind == 'deprecated_usage'
+    assert error.occurences_count == 2
 
 
 def test_register_comment_with_attachment_file(pub):
@@ -1808,19 +1790,17 @@ def test_webservice_call(http_requests, two_pubs):
         item.perform(formdata)
     assert formdata.status == 'wf-sterr'
 
-    if pub.is_using_postgresql():
-        pub.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     item.action_on_5xx = 'stdeleted'  # removed status
     formdata.status = 'wf-st1'
     formdata.store()
     with pytest.raises(AbortActionException):
         item.perform(formdata)
     assert formdata.status == 'wf-st1'  # unknown status acts like :stop
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        error = pub.loggederror_class.select()[0]
-        assert 'reference-to-invalid-status-stdeleted-in-workflow' in error.tech_id
-        assert error.occurences_count == 1
+    assert pub.loggederror_class.count() == 1
+    error = pub.loggederror_class.select()[0]
+    assert 'reference-to-invalid-status-stdeleted-in-workflow' in error.tech_id
+    assert error.occurences_count == 1
 
     item = WebserviceCallStatusItem()
     item.url = 'http://remote.example.net/xml'
@@ -2451,35 +2431,34 @@ def test_timeout(two_pubs):
 
     assert formdef.data_class().get(formdata_id).status == 'wf-st2'
 
-    if two_pubs.is_using_postgresql():
-        formdata = formdef.data_class()()
-        formdata.just_created()
+    formdata = formdef.data_class()()
+    formdata.just_created()
+    formdata.store()
+    formdata_id = formdata.id
+    with mock.patch('wcs.wf.jump.JumpWorkflowStatusItem.check_condition') as must_jump:
+        must_jump.return_value = False
+        _apply_timeouts(two_pubs)
+        assert must_jump.call_count == 0  # not enough time has passed
+
+        # check a lower than minimal delay is not considered
+        jump.timeout = 5 * 50  # 5 minutes
+        workflow.store()
+        rewind(formdata, seconds=10 * 60)
+        formdata.store()
+        _apply_timeouts(two_pubs)
+        assert must_jump.call_count == 0
+
+        # but is executed once delay is reached
+        rewind(formdata, seconds=10 * 60)
         formdata.store()
-        formdata_id = formdata.id
-        with mock.patch('wcs.wf.jump.JumpWorkflowStatusItem.check_condition') as must_jump:
-            must_jump.return_value = False
-            _apply_timeouts(two_pubs)
-            assert must_jump.call_count == 0  # not enough time has passed
-
-            # check a lower than minimal delay is not considered
-            jump.timeout = 5 * 50  # 5 minutes
-            workflow.store()
-            rewind(formdata, seconds=10 * 60)
-            formdata.store()
-            _apply_timeouts(two_pubs)
-            assert must_jump.call_count == 0
-
-            # but is executed once delay is reached
-            rewind(formdata, seconds=10 * 60)
-            formdata.store()
-            _apply_timeouts(two_pubs)
-            assert must_jump.call_count == 1
-
-            # check a templated timeout is considered as minimal delay for explicit evaluation
-            jump.timeout = '{{ "0" }}'
-            workflow.store()
-            _apply_timeouts(two_pubs)
-            assert must_jump.call_count == 2
+        _apply_timeouts(two_pubs)
+        assert must_jump.call_count == 1
+
+        # check a templated timeout is considered as minimal delay for explicit evaluation
+        jump.timeout = '{{ "0" }}'
+        workflow.store()
+        _apply_timeouts(two_pubs)
+        assert must_jump.call_count == 2
 
     # check there's no crash on workflow without jumps
     formdef = FormDef()
@@ -2530,18 +2509,16 @@ def test_timeout_with_humantime_template(two_pubs):
     formdata.store()
     formdata_id = formdata.id
 
-    if two_pubs.is_using_postgresql():
-        two_pubs.loggederror_class.wipe()
+    two_pubs.loggederror_class.wipe()
 
     rewind(formdata, seconds=40 * 60)
     formdata.store()
     _apply_timeouts(two_pubs)
     assert formdef.data_class().get(formdata_id).status == 'wf-st1'  # no change
 
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.summary == "Error in timeout value '30 plop' (computed from '{{ 30 }} plop')"
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.summary == "Error in timeout value '30 plop' (computed from '{{ 30 }} plop')"
 
     # template timeout value returning nothing
     jump.timeout = '{% if 1 %}{% endif %}'
@@ -2553,18 +2530,16 @@ def test_timeout_with_humantime_template(two_pubs):
     formdata.store()
     formdata_id = formdata.id
 
-    if two_pubs.is_using_postgresql():
-        two_pubs.loggederror_class.wipe()
+    two_pubs.loggederror_class.wipe()
 
     rewind(formdata, seconds=40 * 60)
     formdata.store()
     _apply_timeouts(two_pubs)
     assert formdef.data_class().get(formdata_id).status == 'wf-st1'  # no change
 
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.summary == "Error in timeout value '' (computed from '{% if 1 %}{% endif %}')"
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.summary == "Error in timeout value '' (computed from '{% if 1 %}{% endif %}')"
 
 
 def test_legacy_timeout(pub):
@@ -2663,10 +2638,6 @@ def test_timeout_with_mark(two_pubs):
 
 
 def test_jump_missing_previous_mark(two_pubs):
-    if not two_pubs.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     FormDef.wipe()
     Workflow.wipe()
 
@@ -2847,15 +2818,14 @@ def test_sms_with_passerelle(two_pubs):
             assert json_payload['to'] == ['1234']
             assert json_payload['from'] == 'Passerelle'
 
-    if pub.is_using_postgresql():
-        pub.loggederror_class.wipe()
-        with mock.patch('wcs.wscalls.get_secret_and_orig') as mocked_secret_and_orig:
-            mocked_secret_and_orig.return_value = ('secret', 'localhost')
-            with mock.patch('wcs.qommon.misc._http_request') as mocked_http_post:
-                mocked_http_post.return_value = (mock.Mock(headers={}), 400, '{"err": 1}', 'headers')
-                item.perform(formdata)
-                assert pub.loggederror_class.count() == 1
-                assert pub.loggederror_class.select()[0].summary == 'Could not send SMS'
+    pub.loggederror_class.wipe()
+    with mock.patch('wcs.wscalls.get_secret_and_orig') as mocked_secret_and_orig:
+        mocked_secret_and_orig.return_value = ('secret', 'localhost')
+        with mock.patch('wcs.qommon.misc._http_request') as mocked_http_post:
+            mocked_http_post.return_value = (mock.Mock(headers={}), 400, '{"err": 1}', 'headers')
+            item.perform(formdata)
+            assert pub.loggederror_class.count() == 1
+            assert pub.loggederror_class.select()[0].summary == 'Could not send SMS'
 
 
 def test_display_form(two_pubs):
@@ -3340,11 +3310,10 @@ def test_geolocate_action_enable_geolocation(two_pubs):
     formdef.change_workflow(workflow)
     assert formdef.geolocations
 
-    if two_pubs.is_using_postgresql():
-        conn, cur = sql.get_connection_and_cursor()
-        assert column_exists_in_table(cur, formdef.table_name, 'geoloc_base')
-        conn.commit()
-        cur.close()
+    conn, cur = sql.get_connection_and_cursor()
+    assert column_exists_in_table(cur, formdef.table_name, 'geoloc_base')
+    conn.commit()
+    cur.close()
 
     # change to current workflow
     workflow = Workflow(name='wf2')
@@ -3367,11 +3336,10 @@ def test_geolocate_action_enable_geolocation(two_pubs):
     formdef.refresh_from_storage()
     assert formdef.geolocations
 
-    if two_pubs.is_using_postgresql():
-        conn, cur = sql.get_connection_and_cursor()
-        assert column_exists_in_table(cur, formdef.table_name, 'geoloc_base')
-        conn.commit()
-        cur.close()
+    conn, cur = sql.get_connection_and_cursor()
+    assert column_exists_in_table(cur, formdef.table_name, 'geoloc_base')
+    conn.commit()
+    cur.close()
 
 
 def test_geolocate_address(two_pubs):
@@ -3450,20 +3418,19 @@ def test_geolocate_address(two_pubs):
     formdata.geolocations = None
     item.perform(formdata)
     assert formdata.geolocations == {}
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert (
-            logged_error.summary
-            == 'error in template for address string [syntax error in ezt template: unclosed block at line 1 and column 24]'
-        )
-        assert logged_error.formdata_id == str(formdata.id)
-        assert logged_error.exception_class == 'TemplateError'
-        assert (
-            logged_error.exception_message
-            == 'syntax error in ezt template: unclosed block at line 1 and column 24'
-        )
-        two_pubs.loggederror_class.wipe()
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert (
+        logged_error.summary
+        == 'error in template for address string [syntax error in ezt template: unclosed block at line 1 and column 24]'
+    )
+    assert logged_error.formdata_id == str(formdata.id)
+    assert logged_error.exception_class == 'TemplateError'
+    assert (
+        logged_error.exception_message
+        == 'syntax error in ezt template: unclosed block at line 1 and column 24'
+    )
+    two_pubs.loggederror_class.wipe()
 
     # check for None
     item.address_string = '=None'
@@ -3492,13 +3459,12 @@ def test_geolocate_address(two_pubs):
         http_get_page.side_effect = ConnectionError('some error')
         item.perform(formdata)
         assert formdata.geolocations == {}
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.summary == 'error calling geocoding service [some error]'
-        assert logged_error.formdata_id == str(formdata.id)
-        assert logged_error.exception_class == 'ConnectionError'
-        assert logged_error.exception_message == 'some error'
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.summary == 'error calling geocoding service [some error]'
+    assert logged_error.formdata_id == str(formdata.id)
+    assert logged_error.exception_class == 'ConnectionError'
+    assert logged_error.exception_message == 'some error'
 
 
 def test_geolocate_image(pub):
@@ -3583,13 +3549,12 @@ def test_geolocate_map(two_pubs):
     formdata.geolocations = None
     formdata.data = {'2': '48.8337085'}
     item.map_variable = '=form_var_map'
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.summary == 'error geolocating from map variable'
-        assert logged_error.formdata_id == str(formdata.id)
-        assert logged_error.exception_class == 'ValueError'
-        assert logged_error.exception_message == 'not enough values to unpack (expected 2, got 1)'
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.summary == 'error geolocating from map variable'
+    assert logged_error.formdata_id == str(formdata.id)
+    assert logged_error.exception_class == 'ValueError'
+    assert logged_error.exception_message == 'not enough values to unpack (expected 2, got 1)'
 
 
 def test_geolocate_overwrite(pub):
@@ -4581,36 +4546,32 @@ def test_set_backoffice_field(http_requests, two_pubs):
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data['bo1'] == ''
 
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 0
+    assert two_pubs.loggederror_class.count() == 0
 
     item.fields = [{'field_id': 'bo1', 'value': '= ~ invalid python ~'}]
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.summary == 'Failed to compute Python expression'
-        assert logged_error.formdata_id == str(formdata.id)
-        assert logged_error.expression == ' ~ invalid python ~'
-        assert logged_error.expression_type == 'python'
-        assert logged_error.exception_class == 'SyntaxError'
-        assert logged_error.exception_message == 'invalid syntax (<string>, line 1)'
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.summary == 'Failed to compute Python expression'
+    assert logged_error.formdata_id == str(formdata.id)
+    assert logged_error.expression == ' ~ invalid python ~'
+    assert logged_error.expression_type == 'python'
+    assert logged_error.exception_class == 'SyntaxError'
+    assert logged_error.exception_message == 'invalid syntax (<string>, line 1)'
 
-    if two_pubs.is_using_postgresql():
-        two_pubs.loggederror_class.wipe()
+    two_pubs.loggederror_class.wipe()
     item.fields = [{'field_id': 'bo1', 'value': '{% if bad django %}'}]
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.summary == 'Failed to compute template'
-        assert logged_error.formdata_id == str(formdata.id)
-        assert logged_error.expression == '{% if bad django %}'
-        assert logged_error.expression_type == 'template'
-        assert logged_error.exception_class == 'TemplateError'
-        assert logged_error.exception_message.startswith('syntax error in Django template')
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.summary == 'Failed to compute template'
+    assert logged_error.formdata_id == str(formdata.id)
+    assert logged_error.expression == '{% if bad django %}'
+    assert logged_error.expression_type == 'template'
+    assert logged_error.exception_class == 'TemplateError'
+    assert logged_error.exception_message.startswith('syntax error in Django template')
 
 
 def test_set_backoffice_field_map(http_requests, two_pubs):
@@ -4652,35 +4613,32 @@ def test_set_backoffice_field_map(http_requests, two_pubs):
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data.get('bo1') is None
 
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 0
+    assert two_pubs.loggederror_class.count() == 0
 
     item.fields = [{'field_id': 'bo1', 'value': 'invalid value'}]
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert (
-            logged_error.summary
-            == "Failed to set Map field (bo1), error: invalid coordinates 'invalid value' (missing ;)"
-        )
-        assert logged_error.formdata_id == str(formdata.id)
-        assert logged_error.exception_class == 'SetValueError'
-        assert logged_error.exception_message == "invalid coordinates 'invalid value' (missing ;)"
-        two_pubs.loggederror_class.wipe()
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert (
+        logged_error.summary
+        == "Failed to set Map field (bo1), error: invalid coordinates 'invalid value' (missing ;)"
+    )
+    assert logged_error.formdata_id == str(formdata.id)
+    assert logged_error.exception_class == 'SetValueError'
+    assert logged_error.exception_message == "invalid coordinates 'invalid value' (missing ;)"
+    two_pubs.loggederror_class.wipe()
 
     item.fields = [{'field_id': 'bo1', 'value': 'XXX;YYY'}]
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.summary == "Failed to set Map field (bo1), error: invalid coordinates 'XXX;YYY'"
-        assert logged_error.formdata_id == str(formdata.id)
-        assert logged_error.exception_class == 'SetValueError'
-        assert logged_error.exception_message == "invalid coordinates 'XXX;YYY'"
-        two_pubs.loggederror_class.wipe()
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.summary == "Failed to set Map field (bo1), error: invalid coordinates 'XXX;YYY'"
+    assert logged_error.formdata_id == str(formdata.id)
+    assert logged_error.exception_class == 'SetValueError'
+    assert logged_error.exception_message == "invalid coordinates 'XXX;YYY'"
+    two_pubs.loggederror_class.wipe()
 
 
 def test_set_backoffice_field_decimal(http_requests, two_pubs):
@@ -4977,19 +4935,17 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
         item.parent = st1
         item.fields = [{'field_id': 'bo1', 'value': value}]
 
-        if two_pubs.is_using_postgresql():
-            two_pubs.loggederror_class.wipe()
+        two_pubs.loggederror_class.wipe()
         item.perform(formdata)
 
         formdata = formdef.data_class().get(formdata.id)
         assert formdata.data['bo1'].base_filename == 'hello.txt'
         assert formdata.data['bo1'].get_content() == b'HELLO WORLD'
-        if two_pubs.is_using_postgresql():
-            assert two_pubs.loggederror_class.count() == 1
-            logged_error = two_pubs.loggederror_class.select()[0]
-            assert logged_error.summary.startswith('Failed to convert')
-            assert logged_error.formdata_id == str(formdata.id)
-            assert logged_error.exception_class == 'ValueError'
+        assert two_pubs.loggederror_class.count() == 1
+        logged_error = two_pubs.loggederror_class.select()[0]
+        assert logged_error.summary.startswith('Failed to convert')
+        assert logged_error.formdata_id == str(formdata.id)
+        assert logged_error.exception_class == 'ValueError'
 
     # check wrong field
     item = SetBackofficeFieldsWorkflowStatusItem()
@@ -5207,8 +5163,7 @@ def test_set_backoffice_field_card_item(two_pubs):
     assert formdata.data['bo1_structured']['attr'] == 'attr1'
 
     # reset, with unknown value
-    if two_pubs.is_using_postgresql():
-        two_pubs.loggederror_class.wipe()
+    two_pubs.loggederror_class.wipe()
     formdata.data = {}
     formdata.store()
     item.fields = [{'field_id': 'bo1', 'value': 'xxx'}]
@@ -5217,10 +5172,9 @@ def test_set_backoffice_field_card_item(two_pubs):
     assert formdata.data.get('bo1') is None  # invalid value is not stored
     assert formdata.data.get('bo1_display') is None
     assert formdata.data.get('bo1_structured') is None
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.summary.startswith('Failed to convert')
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.summary.startswith('Failed to convert')
 
     # reset, and get empty value
     formdata.data = {}
@@ -5398,17 +5352,16 @@ def test_set_backoffice_field_items(two_pubs):
     assert len(formdata.data['bo1_structured']) == 1
 
     # using an invalid value
-    if two_pubs.is_using_postgresql():
-        formdata.data = {}
-        formdata.store()
-        two_pubs.loggederror_class.wipe()
-        item = SetBackofficeFieldsWorkflowStatusItem()
-        item.parent = st1
-        item.fields = [{'field_id': 'bo1', 'value': "=Ellipsis"}]
-        item.perform(formdata)
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert 'Failed to convert' in logged_error.summary
+    formdata.data = {}
+    formdata.store()
+    two_pubs.loggederror_class.wipe()
+    item = SetBackofficeFieldsWorkflowStatusItem()
+    item.parent = st1
+    item.fields = [{'field_id': 'bo1', 'value': "=Ellipsis"}]
+    item.perform(formdata)
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert 'Failed to convert' in logged_error.summary
 
     # using a string with multiple values
     item = SetBackofficeFieldsWorkflowStatusItem()
@@ -5473,21 +5426,18 @@ def test_set_backoffice_field_date(two_pubs):
     assert datetime.date(*formdata.data['bo1'][:3]) == datetime.date(2017, 3, 23)
 
     # invalid values => do nothing
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 0
+    assert two_pubs.loggederror_class.count() == 0
     for value in ('plop', '={}', '=[]'):
         item = SetBackofficeFieldsWorkflowStatusItem()
         item.parent = st1
         item.fields = [{'field_id': 'bo1', 'value': value}]
 
-        if two_pubs.is_using_postgresql():
-            two_pubs.loggederror_class.wipe()
+        two_pubs.loggederror_class.wipe()
         item.perform(formdata)
         formdata = formdef.data_class().get(formdata.id)
         assert datetime.date(*formdata.data['bo1'][:3]) == datetime.date(2017, 3, 23)
-        if two_pubs.is_using_postgresql():
-            assert two_pubs.loggederror_class.count() == 1
-            assert two_pubs.loggederror_class.select()[0].summary.startswith('Failed to convert')
+        assert two_pubs.loggederror_class.count() == 1
+        assert two_pubs.loggederror_class.select()[0].summary.startswith('Failed to convert')
 
     # None : empty date
     item = SetBackofficeFieldsWorkflowStatusItem()
@@ -5986,20 +5936,18 @@ def test_workflow_action_condition(two_pubs):
     assert len(FormDef.get(formdef.id).data_class().get_actionable_ids([role.id])) == 2
 
     # bad condition
-    if two_pubs.is_using_postgresql():
-        two_pubs.loggederror_class.wipe()
+    two_pubs.loggederror_class.wipe()
     choice.condition = {'type': 'python', 'value': 'foobar == barfoo'}
     workflow.store()
     assert len(FormDef.get(formdef.id).data_class().get_actionable_ids([role.id])) == 0
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
-        assert logged_error.occurences_count > 1  # should be 2... == 12 with pickle, 4 with sql
-        assert logged_error.summary == 'Failed to evaluate condition'
-        assert logged_error.exception_class == 'NameError'
-        assert logged_error.exception_message == "name 'foobar' is not defined"
-        assert logged_error.expression == 'foobar == barfoo'
-        assert logged_error.expression_type == 'python'
+    assert two_pubs.loggederror_class.count() == 1
+    logged_error = two_pubs.loggederror_class.select()[0]
+    assert logged_error.occurences_count > 1  # should be 2... == 12 with pickle, 4 with sql
+    assert logged_error.summary == 'Failed to evaluate condition'
+    assert logged_error.exception_class == 'NameError'
+    assert logged_error.exception_message == "name 'foobar' is not defined"
+    assert logged_error.expression == 'foobar == barfoo'
+    assert logged_error.expression_type == 'python'
 
 
 def test_workflow_field_migration(pub):
@@ -6517,10 +6465,6 @@ def test_call_external_workflow_use_caller_variable(pub):
 
 
 def test_call_external_workflow_manual_targeting(two_pubs):
-    if not two_pubs.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     FormDef.wipe()
     CardDef.wipe()
 
@@ -6701,10 +6645,6 @@ def test_form_update_after_backoffice_fields(sql_pub):
 
 
 def test_call_external_workflow_manual_queryset_targeting(two_pubs):
-    if not two_pubs.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     FormDef.wipe()
     CardDef.wipe()
 
